Subject: Re: [EAI] How to prevent up-conversion (Re: Respawn "Messages on original form" (Re: I-D ACTION:draft-ietf-eai-imap-utf8-01.txt))

From: Chris Newman <[email-masked]>
Date: Mon, 09 Apr 2007 12:11:40 -0700

Charles Lindsey wrote on 3/27/07 14:49 +0100:
> Let us take an example. A message body was in Q-P on the wire. Is the IMAP
> implementation entitled to store it in only its decoded (8bit) form?  Suppose
> the message was in fact signed by DKIM or PGP-mime (both of which  are
> supposed to sign the Q-P form - a bad design decision, but there it  is). The
> recipient (or his MUA) finds that the signature is broken. So the  recipient
> requests to see the original form of the message so that he can  check for
> himself exactly why the signature did not work (maybe some  trailing empty
> line had got lost, and by manually restoring it he can make  the signature
> work).

Mail gateways in general are not required to preserve signatures beyond a 
best-effort to preserve multipart/signed content.  Final delivery to a mail 
store that may or may not be native RFC 2822 would count as a gateway.

                - Chris

_______________________________________________
IMA mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ima